Bug 1120920 - Creating VDBs in JBDS Teiid Designer give "Unparseable Date" exceptions
Summary: Creating VDBs in JBDS Teiid Designer give "Unparseable Date" exceptions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER2
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 01:58 UTC by Hisao Furuichi
Modified: 2018-12-06 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If the JVM's locale was set to a language other than English, when a user tried to create a VDB they would encounter an "Unparseable date" exception. This has now been rectified so users with non-English locales can create VDBs without encountering this problem.
Clone Of:
Environment:
Last Closed: 2015-11-17 18:07:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2255 Major Closed Creating VDBs in JBDS Teiid Designer give "Unparseable Date" exceptions 2016-02-26 05:58:45 UTC

Description Hisao Furuichi 2014-07-18 01:58:35 UTC
Description of problem:
If a local for jvm is not English, user can not create a VDB in the Teiid Designer. The Designer keeps coming back with the exception:
* Unparseable date: "Mon Jun 23 16:43:40 CEST 2014"

Version-Release number of selected component (if applicable):
Teiid Designer for JBDS 8.3.3.Final-v20140613-1202-B88

Steps to Reproduce:
1. set jvm's local to non-English (ex. ja)
2. start JBDS
3. create a VDB in the Teiid Desginer

Actual results:
User can create a VDB without any exception.

Expected results:
The Designer keeps coming back with the exception:
* Unparseable date: "Mon Jun 23 16:43:40 CEST 2014"

Additional info:
In org.teiid.designer.vdb.Vdb.java, SimpleDateFormat is instantiated without setting a local at Line 308. I think following code will solve this issue.

===
SimpleDateFormat format = new SimpleDateFormat("EEE MMM dd HH:mm:ss zzz yyyy", java.util.Locale.ENGLISH);
===

Comment 2 Hisao Furuichi 2014-07-18 02:37:30 UTC
I realized that my previous comment was not correct. "Actual results" and "Expected results" are opposite. This is the correct info:

===
Steps to Reproduce:
1. set jvm's local to non-English (ex. ja)
2. start JBDS
3. create a VDB in the Teiid Desginer

Actual results:
The Designer keeps coming back with the exception:
* Unparseable date: "Mon Jun 23 16:43:40 CEST 2014"

Expected results:
User can create a VDB without any exception.
===

I apologize for it.
Thx

Comment 3 JBoss JIRA Server 2014-08-01 18:02:35 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2255 to Resolved

Comment 4 JBoss JIRA Server 2014-11-17 16:25:39 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2255 to Closed


Note You need to log in before you can comment on or make changes to this bug.